public class Section011_Type3 {
	public static void main(String[] args) {
		int i;
		double j;
		i = 0;
		j = 1;
		do
		{
			i++;
			if (i % 2 == 0)
				j *= i;
			else
				j *= i * -1;
		} while (i < 100);
		System.out.printf("%11.4e", j);
	}
}